from setuptools import setup, find_packages

setup(
    name="modular-qtwidgets",
    version="0.1.0",
    author="Ocarina",
    author_email="Ocarina1024@gmail.com",
    description="A configuration-driven modular Qt widget creation framework",
    long_description=open("README.md", encoding="utf-8").read(),
    long_description_content_type="text/markdown",
    packages=find_packages(exclude=["tests*", "example*"]),
    install_requires=[
        "PySide6>=6.0.0",
        "PyYAML>=5.1",
    ],
    python_requires=">=3.7",
    extras_require={
        "test": [
            "pytest>=7.0.0",
            "pytest-qt>=4.0.0",
            "pytest-cov>=4.0.0",
        ],
    },

    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Topic :: Software Development :: User Interfaces",
    ],
)
